Subject: Re: Running Linux with 2Mo of Ram.

From: Mark Hatle <[email-masked]>
Date: Thu, 12 Jun 2003 11:16:06 -0500

[email-masked] wrote:
> Hi.
>
> I am trying to run linux on a custom board ( Mpc8xx )
> There is only 2Mo of RAM.
> I use romfs to save RAM.
>
> I use U-boot to start the kernel.
>
> The kernel starts correctly.
> the kernel is launched with init=/bin/sh
>
> The kernel stops to tell me to press enter to activate the console ( to
> launch the sh ) and then crash because it is running out of memory.
>
> The question is to know if it is really impossible to make Linux work on
> this target or is I have missed something that could explain that there is
> no more memory available.

You will need some type of "execute in place", i.e. run the kernel and/or
userspace applications out of ROM in order to work with 2MB of RAM.

This type of thing is generally very board, processor and application specific.
  So I don't believe there is existing (open source) code to do it.

--Mark

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/